[Numpy-discussion] error of install numpy on linux redhat.

Paul Hobson pmhobson@gmail....
Thu Oct 25 13:28:31 CDT 2012


On Wed, Oct 24, 2012 at 9:01 PM, Jack Bryan <dtustudy68@hotmail.com> wrote:
> Hi, All,
>
> I am trying to install numpy  from http://www.scipy.org/Download .
>
> by
>
> git clone git://github.com/numpy/numpy.git numpy
>
>
> But, when I ran
>
> python setup.py install
>
> I got:
>
> SystemError: Cannot compile 'Python.h'. Perhaps you need to install
> python-dev|python-devel
>
> Where to get python-dev ?
>
> I tried:
>
> $ easy_install python-devel
> Searching for python-devel
> Reading http://pypi.python.org/simple/python-devel/
> Couldn't find index page for 'python-devel' (maybe misspelled?)
> Scanning index of all packages (this may take a while)
> Reading http://pypi.python.org/simple/
> No local packages or download links found for python-devel
> error: Could not find suitable distribution for
> Requirement.parse('python-devel')
>
> and
>
> $ easy_install python-dev
> Searching for python-dev
> Reading http://pypi.python.org/simple/python-dev/
> Couldn't find index page for 'python-dev' (maybe misspelled?)
> Scanning index of all packages (this may take a while)
> Reading http://pypi.python.org/simple/
> No local packages or download links found for python-dev
> error: Could not find suitable distribution for
> Requirement.parse('python-dev')

Jack,

Since you don't have admin privileges, I'm going to emphatically
recommend that you use AnacondaCE.

Sine you're on RedHat, it's as simple as:
$ curl http://09c8d0b2229f813c1b93-c95ac804525aac4b6dba79b00b39d1d3.r79.cf1.rackcdn.com/AnacondaCE-1.1-linux.sh
> anaconda.sh
$ bash anaconda.sh

Follow the prompts and you're done with a lot more than just Numpy.
-paul


More information about the NumPy-Discussion mailing list